
CREATE EXTENSION IF NOT EXISTS vector;

CREATE TABLE doc_embedding (
    domain VARCHAR(500) NOT NULL,
    path VARCHAR(1000) NOT NULL,
    ver VARCHAR(10) NOT NULL,
    chunk INTEGER NOT NULL,
    embed_mxbai_embed_large vector(1024) NOT NULL,
    PRIMARY KEY (domain, path, ver, chunk)
);

CREATE INDEX ON doc_embedding USING ivfflat (embed_mxbai_embed_large vector_cosine_ops) WITH (lists = 200);
